<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
<button onclick="javascript:WebSocketTest()">连接WebSocket</button>
<div id="info"></div>
<script type="text/javascript">
    function log(msg) {
        var li = document.createElement("li");
        li.innerText = msg;
        document.body.querySelector("#info").appendChild(li);
    }

    function WebSocketTest() {
        if ("WebSocket" in window) {
            // 打开一个 web socket
            var ws = new WebSocket("ws://localhost:8080/websocket/1");

            ws.onopen = function () {
                // Web Socket 已连接上，使用 send() 方法发送数据
                ws.send("发送数据");
            };

            ws.onmessage = function (evt) {
                var received_msg = evt.data;
                log(received_msg)
            };

            ws.onclose = function () {
                // 关闭 websocket
                log("连接已关闭...");
            };
        } else {
            // 浏览器不支持 WebSocket
            log("您的浏览器不支持 WebSocket!");
        }
    }
</script>
</body>
</html>
